curl -L -X POST 'https://api.turso.tech/v1/organizations/{organizationSlug}/groups' \
-H 'Authorization: Bearer TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"name": "new-group",
"location": "lhr"
}'
import { createClient } from "@tursodatabase/api";
const turso = createClient({
org: "...",
token: "",
});
const group = await turso.groups.create("new-group", {
location: "lhr",
extensions: ["vector", "uuid"], // 'all'
});
{
"group": {
"name": "default",
"version": "v0.23.7",
"uuid": "0a28102d-6906-11ee-8553-eaa7715aeaf2",
"locations": [
"aws-us-east-1"
],
"primary": "us-east-1",
"delete_protection": false
}
}{
"error": "group already exists"
}Groups
Create Group
Creates a new group for the organization or user.
POST
/
v1
/
organizations
/
{organizationSlug}
/
groups
curl -L -X POST 'https://api.turso.tech/v1/organizations/{organizationSlug}/groups' \
-H 'Authorization: Bearer TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"name": "new-group",
"location": "lhr"
}'
import { createClient } from "@tursodatabase/api";
const turso = createClient({
org: "...",
token: "",
});
const group = await turso.groups.create("new-group", {
location: "lhr",
extensions: ["vector", "uuid"], // 'all'
});
{
"group": {
"name": "default",
"version": "v0.23.7",
"uuid": "0a28102d-6906-11ee-8553-eaa7715aeaf2",
"locations": [
"aws-us-east-1"
],
"primary": "us-east-1",
"delete_protection": false
}
}{
"error": "group already exists"
}Creating more than one group is limited to Scaler, Pro and Enterprise plans.
curl -L -X POST 'https://api.turso.tech/v1/organizations/{organizationSlug}/groups' \
-H 'Authorization: Bearer TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"name": "new-group",
"location": "lhr"
}'
import { createClient } from "@tursodatabase/api";
const turso = createClient({
org: "...",
token: "",
});
const group = await turso.groups.create("new-group", {
location: "lhr",
extensions: ["vector", "uuid"], // 'all'
});
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The slug of the organization or user account.
Body
application/json
Group data to create a new group
The name of the new group.
The location key for the new group.
The extensions to enable for new databases created in this group. Users looking to enable vector extensions should instead use the native libSQL vector datatype.
Available options:
all Response
Successful response
The newly created group
Show child attributes
Show child attributes
Was this page helpful?